Menu

## Footnotes_Widget_Base extends WP_Widget

base.php : 21

Base Class for all Plugin Widgets. Registers each Widget to WordPress.

The following Methods MUST be overwritten in each sub class: public function widget($args, $instance) -> echo the Widget Content public function form($instance) -> echo the Settings of the Widget

##### Tags

author

  Stefan Herndler

since
  1.5.0

### Table of Contents

__construct() : mixed
  Class Constructor. Registers the child Widget to WordPress.
get_description() : string
  Returns the Description of the child widget.
get_id() : string
  Returns an unique ID as string used for the Widget Base ID.
get_name() : string
  Returns the Public name of child Widget to be displayed in the Configuration page.
get_widget_width() : int
  Returns the width of the Widget. Default width is 250 pixel.

### Methods

#### __construct()

base.php : 69

Class Constructor. Registers the child Widget to WordPress.

`public __construct() : mixed`

##### Tags

since
  1.5.0
  - Update: replace deprecated function WP_Widget() with recommended __construct(), thanks to @dartiss code contribution.
since
  1.6.4
contributor

  @dartiss

link

  “The called constructor method for WP_Widget in Footnotes_Widget_ReferenceContainer is deprecated since version 4.3.0! Use __construct() instead.”

##### Return values

mixed —

#### get_description()

base.php : 45

Returns the Description of the child widget.

`protected abstract get_description() : string`

##### Tags

since
  1.5.0

##### Return values

string —

#### get_id()

base.php : 29

Returns an unique ID as string used for the Widget Base ID.

`protected abstract get_id() : string`

##### Tags

since
  1.5.0

##### Return values

string —

#### get_name()

base.php : 37

Returns the Public name of child Widget to be displayed in the Configuration page.

`protected abstract get_name() : string`

##### Tags

since
  1.5.0

##### Return values

string —

#### get_widget_width()

base.php : 53

Returns the width of the Widget. Default width is 250 pixel.

`protected get_widget_width() : int`

##### Tags

since
  1.5.0

##### Return values

int —

## Search results